<div class="row">
	<h3>Seleccione un destino para esta compra al cr&eacute;dito:</h3>
	<div class="form-group">
		<div class="col-md-6">
			<div class="radio i-checks crediaccion"><label> <input type="radio" id="crediaccion-nuevo" value="0" name="crediaccion" data-display="#deuda-fecha-limite-wrapper"> <i></i> Registrar un nuevo cr&eacute;dito</label></div>
		</div>
		<div class="col-md-6">
			<div class="radio i-checks crediaccion"><label> <input type="radio" id="crediaccion-cargar" value="1" name="crediaccion" data-display="#deuda-proveedor-list"> <i></i> Cargar un cr&eacute;dito existente </label></div>
		</div>
		<div class="clearfix"></div>
	</div>
	
	<div class="row">
		<div class="m-l-md m-r-md" id="deudas-proveedor-select-list-wrapper" style="height:200px;overflow:hidden;border:solid 1px #F1F1F1;">
			
			<div class="form-group m-md" style="display:none" id="deuda-fecha-limite-wrapper">
				<label class="font-noraml">Fecha limite de pago</label>
				<div class="input-group date">
					<span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text" class="form-control" id="deuda-fecha-limite" readonly>
				</div>
				<span class="help-block m-b-none" style="display:none; color:#ED5565;">Por favor seleccione una fecha v&aacute;lida</span>
			</div>
			
			<div class="table-responsive" style="display:none;" id="deuda-proveedor-list">
				<table class="table table-striped">
					<thead>
						<tr>
							<th></th>
							<th>ID</th>
							<th>Monto</th>
							<th>Saldo</th>
							<th>Final</th>
							<th>Estado</th>
						</tr>
					</thead>
					<tbody>
						<?php if(count($deudas)>0): foreach($deudas as $deuda):?>
						<tr data-deuda="<?php echo $deuda->id_deuda;?>">
							<td><div class="radio i-checks deudaradio"><input type="radio" value="option1" name="deuda"></div></td>
							<td><?php echo $deuda->id_deuda;?></td>
							<td><?php echo $deuda->monto_deuda;?></td>
							<td><?php echo $deuda->saldo_deuda;?></td>
							<td><?php echo $deuda->finalizacion_deuda;?></td>
							<td>
								<?php switch($deuda->estado_deuda):
								case 0:?>
								<span class="label label-info">Activo</span>
								<?php break; case 1:?>
								<span class="label">Liquidado</span>
								<?php break; endswitch;?>
							</td>
						</tr>
						<?php endforeach;
						else:?>
							<tr>
								<td colspan="6"><small style="display:block;" class="text-center">No se han encontrados cr&eacute;ditos para este proveedor.</small></td>
							</tr>
						<?php endif;?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	<div class="form-group text-center m-t-md">
		<button type="button" class="btn btn-danger btn-rounded" onclick="Custombox.close();">Cancelar</button>
		<button type="button" id="selcredit-btn" class="btn btn-info btn-rounded">Aceptar</button>
	</div>
	
</div>

<script>
/* $(document).ready(function(){ */
		$("#deudas-proveedor-select-list-wrapper").slimScroll({
		height: '200px'
	});
	$('#deuda-fecha-limite-wrapper .input-group.date').datepicker({
		language:'es',
		autoclose:true,
		format:'yyyy-mm-dd',
	}).on('changeDate', function(ev){
		$(".help-block").hide();
	});
	
	$('.i-checks').iCheck({
		checkboxClass: 'icheckbox_square-green',
		 radioClass: 'iradio_square-green',
	});
	
	$('.crediaccion input:radio').on('ifChecked', function(event){
		$('#deudas-proveedor-select-list-wrapper > div').hide();
		$($(this).attr('data-display')).show();
		
		$(".deudaradio input:radio").attr('checked', false);
		$('.deudaradio input:radio').iCheck('update');
		$('#deuda-fecha-limite').val('');
	});
	
	$("#selcredit-btn").click(function(){
		if($('#crediaccion-nuevo').is(':checked') || $('#crediaccion-cargar').is(':checked')){
			if($('#crediaccion-nuevo').is(':checked')){
				if(!$.trim($("#deuda-fecha-limite").val())==""){
					$("#credito-compra").val('CREATE');
					$("#ncredito-fecha-limite").val($("#deuda-fecha-limite").val());
					/* entradas.validarEntradaCompra(jQuery.Event("click",{target:$('#nueva-compra-productos-next-btn')})); */
					
					$('#nueva-compra-productos-next-btn').trigger('click');
					Custombox.close();
				}else{
					$(".help-block").show();
				}
			}else if($('#crediaccion-cargar').is(':checked')){
				if ($("input[name='deuda']:checked").val()) {
					var selRadio=$("input[name='deuda']:checked"); 
					var CreditoID=selRadio.closest('tr').attr('data-deuda');
					$("#credito-compra").val(CreditoID);
					$('#nueva-compra-productos-next-btn').trigger('click');
					/* entradas.validarEntradaCompra(jQuery.Event("click",{target:$('#guardar-compra-btn')})); */
					Custombox.close();
				}
				else {
					 toastr.options = {
						"closeButton": true,
						"progressBar": true,
						"positionClass": "toast-top-right"
					}
					toastr.error('Seleccione un cr&eacute;dito de la lista para continuar...');
				}
			}
		}else{
			toastr.options = {
				"closeButton": true,
				"progressBar": true,
				"positionClass": "toast-top-right"
			}
			toastr.error('Seleccione una acci&oacute;n para registrar esta compra al cr&eacute;dito');
		}
	});
	
/* }); */
</script>